import { EventEmitter } from '../../stencil-public-runtime';
export declare class SparkleAssignment {
  el: HTMLElement;
  name: string;
  submitted: boolean;
  assignmentLoading: boolean;
  errorMessage: string;
  successMessage: string;
  formSubmitted: EventEmitter;
  fileUploaded(e: any): void;
  onSubmit: (event: any) => Promise<void>;
  resetForm(): void;
  renderUserInfo(): any;
  isAuthenticated(): boolean;
  render(): any;
}
